Bug 595699 - [abrt] crash in midori-0.2.5-1.fc13: Process /usr/bin/midori was killed by signal 11 (SIGSEGV)
[abrt] crash in midori-0.2.5-1.fc13: Process /usr/bin/midori was killed by si...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: midori (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:b20e9a31fbf4089d9d7055e644a...
:
: 618666 625618 628256 636940 637587 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-25 08:10 EDT by P. A. López-Valencia
Modified: 2011-06-27 12:38 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:38:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (61.62 KB, text/plain)
2010-05-25 08:11 EDT, P. A. López-Valencia
no flags Details

  None (edit)
Description P. A. López-Valencia 2010-05-25 08:10:55 EDT
abrt 1.1.0 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: midori
comment: It crashed when opening a new tab from a link in an already opened tab. Perhaps this bug report is in webkitgtk instead of midori?
component: midori
crash_function: WebCore::FrameLoader::isReplacing
executable: /usr/bin/midori
global_uuid: b20e9a31fbf4089d9d7055e644abe7a13a9d3809
kernel: 2.6.33.4-95.fc13.i686.PAE
package: midori-0.2.5-1.fc13
rating: 4
reason: Process /usr/bin/midori was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Random crash
2.
3.
Comment 1 P. A. López-Valencia 2010-05-25 08:11:01 EDT
Created attachment 416371 [details]
File: backtrace
Comment 2 Kevin Fenzi 2010-08-29 15:26:21 EDT
This looks like a strange dns issue, possibly in webkitgtk.
 
Are you using ipv6 there? 

Can you update to the 0.2.7 version of midori (in updates-testing) and see if it fixes the issue?
Comment 3 Kevin Fenzi 2010-08-29 15:27:11 EDT
*** Bug 625618 has been marked as a duplicate of this bug. ***
Comment 4 Kevin Fenzi 2010-08-29 15:27:33 EDT
*** Bug 628256 has been marked as a duplicate of this bug. ***
Comment 5 Kevin Fenzi 2010-08-29 15:44:52 EDT
*** Bug 618666 has been marked as a duplicate of this bug. ***
Comment 6 P. A. López-Valencia 2010-09-09 13:05:35 EDT
My apologies for the delay, I was out of town for several weeks. Catching up as it were.

No, I'm not using IPv6 here. But there could be DNS problems I could blame on my ISP, DNS resolution is very slow lately; besides I know for a fact their infrastructure runs on win2003, meh!

OTOH, the midori 0.2.7-1 package in Koji doesn't install because it asks for an old libwebkitgtk-1.0.so.0 while the one installed is libwebkitgtk-1.0.so.2. Even rpm won't let me for a force install. :-(

I'll install mock, brew my own binaries and get back to you on this one.
Comment 7 Kevin Fenzi 2010-09-09 13:39:37 EDT
What webkitgtk do you have installed now?
Comment 8 P. A. López-Valencia 2010-09-09 15:20:38 EDT
I have webkitgtk 1.2.0-1.fc13 installed. I just managed to compile midori-0.2.7-1 from the f14 srpm in Koji and it is working fine; no changes to the srpm needed at all.

I have to say that DNS resolution is working lightning fast with midori (not as much with Firefox 3.6 nor Google Chrome). Page loading is very quick too. Seems like a winner to me. :-)
Comment 9 Kevin Fenzi 2010-09-09 15:25:54 EDT
There should be a f13 midori as well in updates-testing. ;) 

f13 is on the 1.2.x webkitgtk versions, and f14 is on 1.3.x, so yes, a f14 one wouldn't just install on f13.
Comment 10 P. A. López-Valencia 2010-09-09 16:17:21 EDT
Unfortunately there is nothing in updates-testing :-(. Perhaps a bungled push from koji?
Comment 11 Kevin Fenzi 2010-09-09 16:19:48 EDT
Oh, my mistake, this is f13. No, there isn't an update because in 0.2.7 the interface changed somewhat and we didn't want to push that to stable releases.
Comment 12 P. A. López-Valencia 2010-09-09 17:28:46 EDT
Aha! Well, I'll move to F14 in the beta cycle anyway... Meanwhile, another excuse to keep honing my, very scarce, hacking chops. :-)
Comment 13 Kevin Fenzi 2010-10-02 17:50:37 EDT
*** Bug 636940 has been marked as a duplicate of this bug. ***
Comment 14 Kevin Fenzi 2010-10-02 17:53:31 EDT
*** Bug 637587 has been marked as a duplicate of this bug. ***
Comment 15 Fedora Admin XMLRPC Client 2011-03-15 13:20:09 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 16 Kevin Fenzi 2011-03-27 14:06:21 EDT
Can folks here try this scratch build: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=2950913
Comment 17 Bug Zapper 2011-06-02 09:32:57 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2011-06-27 12:38:21 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.